## octave-ad 1.0.2

=== DESCRIPTION ===
Name: AD
Version: 1.0.2
Date: 2008-04-29
Author: Thomas Kasper
Maintainer: Thomas Kasper
Title: AD.
Description: Automatic Forward Differentiation
Categories: Calculus
Depends: octave (>= 3.0)
Autoload: yes
License: GPL version 2 or later
Url: http://home.cs.tum.edu/~kasper/ad

=== src/Makefile ===
## adapted from the communications package by David Bateman
sinclude Makeconf

TARGETS = gradinit.oct
SOURCES = ov-grad.cc grad-ops.cc 
OBJECTS = $(patsubst %.cc,%.o,$(SOURCES))
DEPENDS = $(patsubst %.cc,%.d,$(SOURCES))
DELETES = $(OBJECTS) $(DEPENDS) *~ $(TARGETS) core octave-core
DEFINES = 
MOFLAGS =

.PHONY: all dist clean realclean
.SUFFIXES:

all : $(DEPENDS) $(TARGETS)

install :
	@$(INSTALL) -d $(DESTDIR)$(MPATH)/ad

$(TARGETS) : $(DEPENDS) $(OBJECTS) 
	@echo "Linking $@"; \
	$(MKOCTFILE) $(MOFLAGS) $(OBJECTS) -o $@

ifneq (,$(DEPENDS))
  sinclude $(DEPENDS)
endif

%.oct : %.d %.o
	@echo "Linking $@"; \
	$(MKOCTFILE) $(MOFLAGS) $(@:.oct=.o) -o $@

%.d: %.cc
	@echo "Depending $<"; \
	$(MKOCTFILE) $(MOFLAGS) $(DEFINES) -M $<

%.o:%.cc
	@echo "Compiling $@"; \
	$(MKOCTFILE) $(MOFLAGS) $(DEFINES) -c $< 

clean:
	@echo "Cleaning..."; \
	$(RM) -f $(DELETES)

realclean:
	@echo "Cleaning..."; \
	$(RM) -f $(DELETES)

## octave-ad 1.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: AD
-Version: 1.0.2
-Date: 2008-04-29
+Version: 1.0.5
+Date: 2009-05-03
 Author: Thomas Kasper
 Maintainer: Thomas Kasper
 Title: AD.

## octave-ad 1.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: AD
-Version: 1.0.5
+Version: 1.0.6
 Date: 2009-05-03
 Author: Thomas Kasper
 Maintainer: Thomas Kasper

=== debian/changelog ===
octave-ad (1.0.6-4) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (closes: #571889) 
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.9.1, no changes needed

 -- Thomas Weber <tweber@debian.org>  Sat, 12 Feb 2011 00:46:27 +0100

octave-ad (1.0.6-3) unstable; urgency=low

  * Upload to unstable 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 08 Nov 2009 18:07:53 +0100

octave-ad (1.0.6-2) experimental; urgency=low

  * debian/control: Build-depend on octave-pkg-dev >= 0.7.1, for the changed
    behaviour in doc handling

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 16 Jul 2009 08:21:47 +0200

octave-ad (1.0.6-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Bump Standards-Version to 3.8.2, no changes needed

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 14 Jul 2009 23:11:28 +0200

octave-ad (1.0.5-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/rules: Remove documentation source ad.texi from /usr/share/doc

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 23 May 2009 21:33:55 +0200

octave-ad (1.0.4-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 28 Mar 2009 19:25:40 +0100

octave-ad (1.0.4) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Ólafur Jens Sigurðsson ]
  * New upstream release
  * Remove patch, no longer neccesery
  * Remove build depends on quilt

  [ Thomas Weber ]
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 29 Nov 2008 20:12:22 +0100

octave-ad (1.0.2-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * Initial release. (Closes: #468533)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 14 Jun 2008 17:38:29 +0000

=== debian/control ===
Source: octave-ad
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.1)
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/ad
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-ad.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-ad.git

Package: octave-ad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: automatic forward differentiation in Octave
 Automatic Differentiation (AD) is a technique to analytically compute
 the derivative of a function at a given inner point of its domain.
 It overcomes the accuracy and efficiency problems related to the
 method of finite differences.  This package implements the AD
 algorithms in Octave, a numerical computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/ad-([\d.]+)\.tar\.gz\?download
